Language="VBSCRIPT" Sub CATMain() Dim partDocument1 As Document Set partDocument1 = CATIA.ActiveDocument Dim selection1 As Selection Set selection1 = partDocument1.Selection selection1.Search "Name=RESULT,all" Dim selection2 As Selection Set selection2 = partDocument1.Selection Dim visPropertySet1 As VisPropertySet Set visPropertySet1 = selection2.VisProperties Dim part1 As Part Set part1 = partDocument1.Part Dim bodies1 As Bodies Set bodies1 = part1.Bodies Dim body1 As Body Set body1 = bodies1.Item("RESULT") Set bodies1 = body1.Parent Dim bSTR1 As String bSTR1 = body1.Name selection2.Add body1 Set visPropertySet1 = visPropertySet1.Parent Dim bSTR2 As String bSTR2 = visPropertySet1.Name Dim bSTR3 As String bSTR3 = visPropertySet1.Name visPropertySet1.SetShow 0 selection2.Clear End Sub